Subject: Re: Shell scripts?
From: [email-masked] (Scott Kempf)

27 Jan 1997 18:28:27 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked], [email-masked]
Original-Cc: [email-masked]
Original-Sender: [email-masked]

It is possible that you have more than one version of bash.
Make sure that all your bash.exe and sh.exe are the same
file length.  Fork sometimes grabs the wrong executable.

#!/usr/local/bin/perl.exe

Will not work.  Nor will "#!/bin/sh -x".

I've made a patch to winsup/spawn.cc that seems to fix this.
I haven't sent it out yet, since I wanted to make sure it
was right.  It seems that every version of UNIX I've tested
rewrites the arguments a little differently, so I just did
my own style.

Can anyone tell me where I might find POSIX or X/OPEN system
standards on the web?

			    Scott
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".